<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__bt__a2d__m24_8h" kind="file" language="C++">
    <compoundname>wiced_bt_a2d_m24.h</compoundname>
    <innerclass prot="public" refid="structwiced__bt__a2d__m24__cie__t">wiced_bt_a2d_m24_cie_t</innerclass>
      <sectiondef kind="user-defined">
      <header>MPEG-2,4 AAC Object</header>
      <description><para>for Codec Specific Information Element</para>
<para><anchor id="group__wicedbt__a2dp__mpeg__2__4_1A2D_M24_OBJ" /></para>
</description>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga0f70ba5c8d428700d2ed525fcc6a7836" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_OBJ_MSK</name>
        <initializer>0xF0</initializer>
        <briefdescription>
<para>b7-b4 object type. </para>
        </briefdescription>
        <detaileddescription>
<para>b3-b0 is RFA,not used </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="34" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="34" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gadf01fcbdbd7019872f670d063c747959" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_OBJ_2LC</name>
        <initializer>0x80</initializer>
        <briefdescription>
<para>b7: MPEG-2 AAC LC </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="35" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="35" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gaab61880c8f63deb584fa506fe56deb5c" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_OBJ_4LC</name>
        <initializer>0x40</initializer>
        <briefdescription>
<para>b6: MPEG-4 AAC LC </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="36" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="36" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gac42775205cbb2c27745e445ec24f5762" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_OBJ_4LTP</name>
        <initializer>0x20</initializer>
        <briefdescription>
<para>b5: MPEG-4 AAC LTP </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="37" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="37" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga3565522ae8b5188a0ca97a33677a43f6" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_OBJ_4S</name>
        <initializer>0x10</initializer>
        <briefdescription>
<para>b4: MPEG-4 AAC scalable </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="38" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="38" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>MPEG-2,4 AAC Sampling Frequency</header>
      <description><para><anchor id="group__wicedbt__a2dp__mpeg__2__4_1A2D_M24_SF" /></para>
</description>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga4adc4f7a0c82f036361ddbab06745ba5" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_MSK</name>
        <initializer>0xFFF0</initializer>
        <briefdescription>
<para>sampling frequency </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="46" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="46" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gab10369f6b984750d924c0baadcc3bf07" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_8</name>
        <initializer>0x8000</initializer>
        <briefdescription>
<para>b7:8 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="47" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="47" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gad607b26cc63d8c0bf70e27b8bf09e0ae" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_11</name>
        <initializer>0x4000</initializer>
        <briefdescription>
<para>b6:11 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="48" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="48" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga4e16778739a4b690875fe2b68aa6c54e" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_12</name>
        <initializer>0x2000</initializer>
        <briefdescription>
<para>b5:12 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="49" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="49" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gababf42c0c54f7f70ae92cf29e141061e" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_16</name>
        <initializer>0x1000</initializer>
        <briefdescription>
<para>b4:16 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="50" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="50" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gaeb0e80505054b6295d7694b85b506def" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_22</name>
        <initializer>0x0800</initializer>
        <briefdescription>
<para>b3:22.05kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="51" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="51" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga54fff5ad4adf1d5adbd4aba5ba1c2aba" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_24</name>
        <initializer>0x0400</initializer>
        <briefdescription>
<para>b2:24 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="52" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="52" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga04973fbb2aea9eaa5feabfbce7d4cdab" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_32</name>
        <initializer>0x0200</initializer>
        <briefdescription>
<para>b1:32 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="53" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="53" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga76717deef885fdb36644dc7010766383" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_44</name>
        <initializer>0x0100</initializer>
        <briefdescription>
<para>b0:44.1kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="54" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="54" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gab09f85ec3df63ed16c2066069f674cd1" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_48</name>
        <initializer>0x0080</initializer>
        <briefdescription>
<para>b7:48 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="55" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="55" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gae0f8a93117489688286bde7f53cebfd0" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_64</name>
        <initializer>0x0040</initializer>
        <briefdescription>
<para>b6:64 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="56" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="56" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga7e01d4d16d8fe6a1ef55fc7b99cfe479" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_88</name>
        <initializer>0x0020</initializer>
        <briefdescription>
<para>b5:88 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="57" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="57" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga1658bfe6c9f792ad6942f05878750cc9" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_SAMP_FREQ_96</name>
        <initializer>0x0010</initializer>
        <briefdescription>
<para>b4:96 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="58" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="58" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>MPEG-2,4 AAC Channel</header>
      <description><para><anchor id="group__wicedbt__a2dp__mpeg__2__4_1A2D_M24_CH_MD" /></para>
</description>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gae4d8e6c85aa156cd97a00ecee18dcdd7" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_CHNL_MSK</name>
        <initializer>0x0C</initializer>
        <briefdescription>
<para>b3-b2 channels </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="66" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="66" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga93074fc213d2bab831a158c7e11a861f" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_CHNL_1</name>
        <initializer>0x08</initializer>
        <briefdescription>
<para>b3: 1 channel </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="67" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="67" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga5c87fde4827af18c91db4aa3c26e1f4f" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_CHNL_2</name>
        <initializer>0x04</initializer>
        <briefdescription>
<para>b2: 2 channels </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="68" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="68" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>MPEG-2,4 AAC Bitrate</header>
      <description><para><anchor id="group__wicedbt__a2dp__mpeg__2__4_1A2D_M24_BITRATE" /></para>
</description>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga9a50ae77f45b44523795c58f483b01cc" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_BITRATE3_MSK</name>
        <initializer>0x7F0000</initializer>
        <briefdescription>
<para>octect3 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="78" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="78" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gac125cb17ca8029ca7dfc0bb35d89e483" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_BITRATE45_MSK</name>
        <initializer>0x00FFFF</initializer>
        <briefdescription>
<para>octect4, 5 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="79" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="79" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1gafe49ebe0f517c7a8f715dbdbed00ddfb" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_BITRATE_MSK</name>
        <initializer>0x7FFFFF</initializer>
        <briefdescription>
<para>b7-b0 of octect 3, all of octect4, 5 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="80" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="80" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga90bbc5fd7bcba9fe73b526672d5a4a89" kind="define" prot="public" static="no">
        <name>A2D_M24_INFO_LEN</name>
        <initializer>8</initializer>
        <briefdescription>
<para>the LOSC of MPEG_2, 4 AAC media codec capabilitiy </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="25" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="25" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__2__4_1ga9d0758c82fb5b4511b67d6e96690baa9" kind="define" prot="public" static="no">
        <name>A2D_M24_IE_VBR_MSK</name>
        <initializer>0x80</initializer>
        <briefdescription>
<para>b7: VBR </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" bodystart="71" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="71" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__wicedbt__a2dp__mpeg__2__4_1gab1d32995a7d61844e6d39f0837282657" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref></type>
        <definition>wiced_bt_a2d_status_t wiced_bt_a2d_bld_m24info</definition>
        <argsstring>(uint8_t media_type, wiced_bt_a2d_m24_cie_t *p_ie, uint8_t *p_result)</argsstring>
        <name>wiced_bt_a2d_bld_m24info</name>
        <param>
          <type>uint8_t</type>
          <declname>media_type</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__a2d__m24__cie__t">wiced_bt_a2d_m24_cie_t</ref> *</type>
          <declname>p_ie</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_result</declname>
        </param>
        <briefdescription>
<para>This function is called by an application to build the MPEG-2, 4 AAC Media Codec Capabilities byte sequence beginning from the LOSC octet. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">media_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: Indicates Audio, or Multimedia. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_ie</parametername>
</parameternamelist>
<parameterdescription>
<para>: MPEG-2, 4 AAC Codec Information Element information. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_result</parametername>
</parameternamelist>
<parameterdescription>
<para>: the resulting codec info byte sequence.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> A2D_SUCCESS </bold> if function execution succeeded. <linebreak />
 <bold> Error status code </bold>, otherwise. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="118" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wicedbt__a2dp__mpeg__2__4_1gaa12ad87f14f4fd926238b5c694081dd1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref></type>
        <definition>wiced_bt_a2d_status_t wiced_bt_a2d_pars_m24info</definition>
        <argsstring>(wiced_bt_a2d_m24_cie_t *p_ie, uint8_t *p_info, wiced_bool_t for_caps)</argsstring>
        <name>wiced_bt_a2d_pars_m24info</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__a2d__m24__cie__t">wiced_bt_a2d_m24_cie_t</ref> *</type>
          <declname>p_ie</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_info</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>for_caps</declname>
        </param>
        <briefdescription>
<para>This function is called by an application to parse the MPEG-2, 4 AAC Media Codec Capabilities byte sequence beginning from the LOSC octet. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_info</parametername>
</parameternamelist>
<parameterdescription>
<para>: the byte sequence to parse. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">for_caps</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE, if the byte sequence is for get capabilities response. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_ie</parametername>
</parameternamelist>
<parameterdescription>
<para>: MPEG-2, 4 AAC Codec Information Element information.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> A2D_SUCCESS </bold> if function execution succeeded. <linebreak />
 <bold> Error status code </bold>, otherwise. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" line="134" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>MPEG-2, 4 AAC A2DP Application Programming Interface. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="21"><highlight class="comment">**<sp /><sp />Constants</highlight></codeline>
<codeline lineno="22"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="preprocessor">#define<sp />A2D_M24_INFO_LEN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />8</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xF0<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="35"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_2LC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x80<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="36"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_4LC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x40<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="37"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_4LTP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x20<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="38"><highlight class="preprocessor">#define<sp />A2D_M24_IE_OBJ_4S<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x10<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="46"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_MSK<sp /><sp /><sp /><sp />0xFFF0<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="47"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_8<sp /><sp /><sp /><sp /><sp /><sp />0x8000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="48"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_11<sp /><sp /><sp /><sp /><sp />0x4000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="49"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_12<sp /><sp /><sp /><sp /><sp />0x2000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="50"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_16<sp /><sp /><sp /><sp /><sp />0x1000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="51"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_22<sp /><sp /><sp /><sp /><sp />0x0800<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="52"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_24<sp /><sp /><sp /><sp /><sp />0x0400<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="53"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_32<sp /><sp /><sp /><sp /><sp />0x0200<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_44<sp /><sp /><sp /><sp /><sp />0x0100<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="55"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_48<sp /><sp /><sp /><sp /><sp />0x0080<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_64<sp /><sp /><sp /><sp /><sp />0x0040<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_88<sp /><sp /><sp /><sp /><sp />0x0020<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="preprocessor">#define<sp />A2D_M24_IE_SAMP_FREQ_96<sp /><sp /><sp /><sp /><sp />0x0010<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="preprocessor">#define<sp />A2D_M24_IE_CHNL_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0C<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="preprocessor">#define<sp />A2D_M24_IE_CHNL_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x08<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="preprocessor">#define<sp />A2D_M24_IE_CHNL_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x04<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="71"><highlight class="preprocessor">#define<sp />A2D_M24_IE_VBR_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x80<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="preprocessor">#define<sp />A2D_M24_IE_BITRATE3_MSK<sp /><sp /><sp /><sp /><sp />0x7F0000<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="preprocessor">#define<sp />A2D_M24_IE_BITRATE45_MSK<sp /><sp /><sp /><sp />0x00FFFF<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="80"><highlight class="preprocessor">#define<sp />A2D_M24_IE_BITRATE_MSK<sp /><sp /><sp /><sp /><sp /><sp />0x7FFFFF<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="85"><highlight class="comment">**<sp /><sp />Type<sp />Definitions</highlight></codeline>
<codeline lineno="86"><highlight class="comment">*****************************************************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /></codeline>
<codeline lineno="89" refid="structwiced__bt__a2d__m24__cie__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal">{</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />obj_type;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp />samp_freq;<sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />chnl;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />vbr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp />bitrate;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="normal">}<sp /><ref kindref="compound" refid="structwiced__bt__a2d__m24__cie__t">wiced_bt_a2d_m24_cie_t</ref>;</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="99"><highlight class="comment">**<sp /><sp />External<sp />Function<sp />Declarations</highlight></codeline>
<codeline lineno="100"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal">{</highlight></codeline>
<codeline lineno="104"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal"><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref><sp /><ref kindref="member" refid="group__wicedbt__a2dp__mpeg__2__4_1gab1d32995a7d61844e6d39f0837282657">wiced_bt_a2d_bld_m24info</ref>(uint8_t<sp />media_type,<sp /><ref kindref="compound" refid="structwiced__bt__a2d__m24__cie__t">wiced_bt_a2d_m24_cie_t</ref><sp />*p_ie,</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*p_result);</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal"><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref><sp /><ref kindref="member" refid="group__wicedbt__a2dp__mpeg__2__4_1gaa12ad87f14f4fd926238b5c694081dd1">wiced_bt_a2d_pars_m24info</ref>(<ref kindref="compound" refid="structwiced__bt__a2d__m24__cie__t">wiced_bt_a2d_m24_cie_t</ref><sp />*p_ie,<sp />uint8_t<sp />*p_info,</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />for_caps);</highlight></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="comment">/*<sp />@endcond*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal">}</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m24.h" />
  </compounddef>
</doxygen>